import { type ColumnDef } from '@feedmepos/ui-library';
export type ActiveLocationsCount = {
    restaurants: number | string;
    warehouses: number | string;
};
export declare function useTemplateEnabledLocations(controller: {
    getLocations(): FdoInventoryLocation[] | undefined | null;
    setLocations(locations: FdoInventoryLocation[] | undefined | null): void;
}): {
    promptSelectLocations: () => void;
    columnDefs: ColumnDef<ActiveLocationsCount>[];
    rowData: import("vue").ComputedRef<ActiveLocationsCount[]>;
};
